Quassel IRC - Bug #432

Multiple Select on buffer and deletion only deletes first in selection
12/03/2008 02:10 PM - pennywise

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

When you want to delete some buffers, you can select multiple buffers and then use the contextmenu to select "delete buffer". Then
only the first clicked item is deleted, not all

Expected: every selected buffer should be deleted.
Additional information:
Two ways to solve:

1) implement a "delete all selected”
2) don't open the contextmenu when multiple buffers are selected.

I guess this is also happening to "hide events" and other stuff in the context menu, but | only tried "delete”

Associated revisions

Revision 73696998505¢c35c02bd019f78e9f502cbc36da5b - 01/09/2009 03:24 AM - Marcus Eggenberger

Quassel no longer gets a nervous breakdown when you select too many buffers - fixes #432

Revision 73696998 - 01/09/2009 03:24 AM - Marcus Eggenberger

Quassel no longer gets a nervous breakdown when you select too many buffers - fixes #432
Revision a40fb3e7457e15047ac4ba52b169ad61163499ca - 01/09/2009 05:50 PM - Manuel Nickschas
Handle multi-selections in BufferViews sanely.

This means that actions like hiding and deleting buffers now also work if multiple buffers

are selected. This is true for all displayed actions, i.e. you can hide events in multiple

buffers at once, or send CTCP commands to multiple nicks, etc.

(Finally) fixes #432.

Revision a40fb3e7 - 01/09/2009 05:50 PM - Manuel Nickschas

Handle multi-selections in BufferViews sanely.

This means that actions like hiding and deleting buffers now also work if multiple buffers

are selected. This is true for all displayed actions, i.e. you can hide events in multiple

buffers at once, or send CTCP commands to multiple nicks, etc.

(Finally) fixes #432.

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 01/07/2009 01:21 PM - Sputnick
- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.4.0
- Version setto 0.3.1+

This needs to be looked into, after | fixed the related bug #428 which kept me from testing in the first place :)

#3 - 01/09/2009 12:50 PM - EgS
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 7 2bd019f78e9f502 .

#4 - 01/09/2009 01:01 PM - Sputnick

- Status changed from Resolved to Assigned

Woupps, screwed up when | told EgS the bug number :) This issue is not yet solved, but will be soon now that #428 is closed.

#5 - 01/09/2009 06:28 PM - Sputnick

- Status changed from Assigned to Resolved

Applied in changeset a40fb3e7457e15047ac4

07/21/2025 22


https://wiki.quassel-irc.org/issues/428
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/73696998505c35c02bd019f78e9f502cbc36da5b
https://wiki.quassel-irc.org/issues/428
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/a40fb3e7457e15047ac4ba52b169ad61163499ca
http://www.tcpdf.org

